Overwrite subscription list

triangle-exclamation

Overwrite the existing subscription list.

circle-info

In order to use the Product change API, please make sure to refer to our guide on how to Sign your API requests to our standard. JWT Signing for Secure API Requests

Overwrite subscription list

put
/subscriptions/{id}
Path parameters
idstringRequired

Unique ID of the subscription list.

Example: 11
Header parameters
AuthorizationstringRequired

Token <Your_API_Key>.

Default: Token <Partner_API_key>.
Body
namestringOptional

An optional free-form name for the list.

subscription_typestringRequired

Currently only webhook subscription type is supported. There may be different subscription type in the future.

Example: webhook
target_endpointstringRequired

Partner notification URL.

Responses
chevron-right
200

Successful operation.

application/json
successbooleanOptional
is_activebooleanOptional

Subscription list status.

idnumberOptional

Unique ID created for this subscription list.

namestringOptional

Name of the list.

subscription_typestringOptional

Currently only webhook subscription type is supported. There may be different subscription type in the future.

target_endpointstringOptional

Partner notification URL.

target_emailstringOptional

Will be supported in the future. Partner email address for the notification.

put
/subscriptions/{id}

Last updated

Was this helpful?